# -*-makefile-*-
# $Id: template 4565 2006-02-10 14:23:10Z mkl $
#
# Copyright (C) 2006 by 
#          
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PHYCORE_MPC5200B) += phyCORE-mpc5200b

PHYCORE_MPC5200B_VERSION = 1.0.0

#
# Paths and names
#

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

phyCORE-mpc5200b_targetinstall: $(STATEDIR)/phyCORE-mpc5200b.targetinstall

$(STATEDIR)/phyCORE-mpc5200b.targetinstall:
	@$(call targetinfo, $@)

	@$(call install_init,phycore-mpc5200b)
	@$(call install_fixup,phycore-mpc5200b, PACKAGE,phycore-mpc5200b)
	@$(call install_fixup,phycore-mpc5200b, PRIORITY,optional)
	@$(call install_fixup,phycore-mpc5200b, VERSION,$(PHYCORE_MPC5200B_VERSION))
	@$(call install_fixup,phycore-mpc5200b, SECTION,base)
	@$(call install_fixup,phycore-mpc5200b, AUTHOR,"Robert Schwebel <r.schwebel\@pengutronix.de>")
	@$(call install_fixup,phycore-mpc5200b, DEPENDS,)
	@$(call install_fixup,phycore-mpc5200b, DESCRIPTION,missing)

	# create /etc/rc.d links
	@$(call install_copy, phycore-mpc5200b, 0, 0, 0755, /etc/rc.d)
	@$(call install_copy, phycore-mpc5200b, 0, 0, 0755, /etc/init.d)
	@$(call install_copy, phycore-mpc5200b, 0, 0, 0644, $(PTXDIST_WORKSPACE)/projectroot/etc/modules, /etc/modules, n)
	@$(call install_copy, phycore-mpc5200b, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/network/can-pre-up, /etc/network/can-pre-up, n)

	@$(call install_copy, phycore-mpc5200b, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/hosts.equiv, /etc/hosts.equiv, n)
	@$(call install_copy, phycore-mpc5200b, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/passwd, /etc/passwd, n)
	@$(call install_copy, phycore-mpc5200b, 0, 0, 0755, $(PTXDIST_WORKSPACE)/projectroot/etc/shadow, /etc/shadow, n)

	@$(call install_finish, phycore-mpc5200b)

	@$(call touch, $@)

phyCORE-mpc5200b_clean:
	rm -f $(STATEDIR)/phyCORE-mpc5200b.*
	rm -rf $(IMAGEDIR)/phyCORE-mpc5200b_*

# vim: syntax=make
